/*
 *  TOPPERS/FMP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Flexible MultiProcessor Kernel
 *
 *  Copyright (C) 2007-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  @(#) $Id: chip_test.h 955 2012-10-30 07:31:22Z ertl-honda $
 */

/*
 *		ƥȥץΥåװ¸MPCoreѡ
 */

#ifndef TOPPERS_CHIP_TEST_H
#define TOPPERS_CHIP_TEST_H

/*
 *  ǽɾץΤ
 */

/*
 *  ޤγֹ
 */
#define _INTNO_TIMER  29

/*
 *  ǽɾν
 */
#ifndef CPU1_PERF_PRE_HOOK
#define CPU1_PERF_PRE_HOOK    dis_int(_INTNO_TIMER);
#endif  /* CPU1_PERF_PRE_HOOK */

#ifndef CPU1_PERF_POST_HOOK
#define CPU1_PERF_POST_HOOK   ena_int(_INTNO_TIMER);
#endif  /* CPU1_PERF_POST_HOOK */

#ifdef TOPPERS_SYSTIM_LOCAL

#ifndef CPU2_PERF_PRE_HOOK
#define CPU2_PERF_PRE_HOOK    dis_int(_INTNO_TIMER);
#endif  /* CPU2_PERF_PRE_HOOK */
#ifndef CPU2_PERF_POST_HOOK
#define CPU2_PERF_POST_HOOK   ena_int(_INTNO_TIMER);
#endif  /* CPU2_PERF_POST_HOOK */

#endif /* TOPPERS_SYSTIM_LOCAL */

#define HISTTIM  PERFCNT
#define HIST_GET_TIM(p_time)  ((void) x_get_pcc(p_time));
#define HIST_CONV_TIM(time)   (x_cnv_nsec(time))
#define HIST_BM_HOOK()        (x_rst_pcc())

#endif /* TOPPERS_CHIP_TEST_H */
