/*
 *  ZYNQ porting
 *  2012 (c) Daniel Sangorrin (daniel.sangorrin@gmail.com)
 */
#ifndef TOPPERS_TARGET_ASM_INC
#define TOPPERS_TARGET_ASM_INC

#ifdef TOPPERS_ENABLE_QEMU
#define TOPPRS_NONUSE_CHIP_DEFAULT_CUSTOM_IDLE

.macro toppers_asm_custom_idle
        msr   cpsr, #(CPSR_SVC|CPSR_ALWAYS_SET) /* interrupts enabled (system mode) */
        msr   cpsr, #(CPSR_SVC|CPSR_CPULOCK|CPSR_ALWAYS_SET) /* CPU locked (system mode) */
.endm
#endif /* TOPPERS_ENABLE_QEMU */

#include "chip_asm.inc"

#endif /* TOPPERS_TARGET_ASM_INC */
